Subject: Re: [PATCH net 1/2] vxlan: do not modify the shared tunnel info when PMTU triggers an ICMP reply

From: Stefano Brivio <[email-masked]>
Date: Mon, 31 Jan 2022 15:04:18 +0100

Hi Antoine,

On Mon, 31 Jan 2022 14:26:47 +0100
Antoine Tenart <[email-masked]> wrote:

> Quoting Vlad Buslov (2022-01-31 12:26:47)
> > On Fri 28 Jan 2022 at 19:01, Antoine Tenart <[email-masked]> wrote:  
> > >
> > > I finally had some time to look at this. Does the diff below fix your
> > > issue?  
> > 
> > Yes, with the patch applied I'm no longer able to reproduce memory leak.
> > Thanks for fixing this!  
> 
> Thanks for testing. I'll send a formal patch, can I add your Tested-by?
> 
> Also, do you know how to trigger the following code path in OVS
> https://elixir.bootlin.com/linux/latest/source/net/openvswitch/actions.c#L944

I guess the selftests pmtu_ipv{4,6}_ovs_vxlan{4,6}_exception and
pmtu_ipv{4,6}_ovs_geneve{4,6}_exception from net/pmtu.sh:

	https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/tree/tools/testing/selftests/net/pmtu.sh?id=ece1278a9b81bdfc088f087f8372a072b7010956#n81

should trigger that path once or twice per test, but I haven't tried
recently.

-- 
Stefano